textures/emerald/emerald_skybox
{
      surfaceparm noimpact
      surfaceparm nolightmap
      surfaceparm sky
      q3map_globaltexture
      qer_editorimage textures/emerald/emerald_view.tga 
      q3map_sunext 0.216383 0.234632 0.308662 100 100 56
      q3map_surfacelight 40
      skyparms env/emerald/emerald - -
}

textures/2sweet/time
{
	qer_editorimage textures/2sweet/timeb.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap 
		rgbgen identity
		tcgen lightmap 
	}
	{
		map textures/2sweet/timeb.tga
		rgbgen identity
	}
	{
		map textures/2sweet/time.tga
		blendfunc add
		rgbgen wave square 0 1 0 1 
	}
}

textures/2sweet/camel
{ 
	qer_editorimage textures/2sweet/camel.tga
	surfaceparm nomarks 
	surfaceparm trans 
	cull back 
	polygonoffset
	qer_trans 0.6
	{ 
		map textures/2sweet/camel.tga
		blendfunc add
		rgbgen identity 
	} 
}

textures/2sweet/glasswather
{
	qer_editorimage textures/pad_liquidfx/wat05.tga
      surfaceparm trans	
	cull none
	qer_trans 0.97 
      { 
		map textures/pad_liquidfx/wat05.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{	
		map textures/2sweet/tinfx666.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{ 
		map textures/pad_liquidfx/wat05.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.05 .001
		rgbgen identity
	}
}

models/mapobjects/razmouse/raz_mouse2
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/razmouse/raz_mouse2.tga
		rgbgen vertex 
	}
	{
		map models/mapobjects/razmouse/raz_mouse_light2.tga
		blendfunc add
		rgbgen wave square 0.6 0.5 2 0.3 
	}
}

textures/2sweet/pad_rideau
{ 
	qer_editorimage textures/2sweet/pad_rideau.tga
	surfaceparm nomarks 
	surfaceparm trans 
	cull disable 
	polygonoffset
	qer_trans 0.6
	{ 
		map textures/2sweet/pad_rideau.tga
		blendfunc add
		rgbgen identity 
	} 
}

textures/2sweet/jamocb
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/2sweet/jamocb.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/2sweet/jamocb.tga
		
            blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/2sweet/pad3metal
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/2sweet/pad3metal.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/2sweet/pad3metal.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/2sweet/sweetplas
{
	qer_editorimage textures/2sweet/sweetplas.tga
	{
		map textures/2sweet/sweetplas.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}

textures/2sweet/beam
{
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
      nopicmip
	{
		map textures/2sweet/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
}

textures/2sweet/padlogo17
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull none
        {
		map textures/2sweet/padlogo17.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/padcube/padcube15
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/padcube/padcube15.tga
		rgbgen vertex 
	}
}

models/mapobjects/padcube/padcube16
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/padcube/padcube16.tga
		rgbgen vertex 
	}
	{
		map models/mapobjects/padcube/tinsweet.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment 
	}
}

models/mapobjects/guitarwop/skinguitar
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/guitarwop/skinguitar.tga
		rgbgen vertex 
	}
	{
		map models/mapobjects/guitarwop/tinsweet3.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment 
	}
}

textures/2sweet/sweettinfx
{
	qer_editorimage textures/2sweet/sweettinfx.tga
      surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
      {
		map textures/2sweet/sweettinfx.tga
            tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/2sweet/jamo4
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/2sweet/jamo4.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/2sweet/jamo4.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/2sweet/starsweet
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	surfaceparm nolightmap 
	cull none
      nopicmip
	{
		map textures/2sweet/starsweet.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/chine/lettre
{
	surfaceparm nolightmap
	cull disable
	nomipmaps
	{
		map models/mapobjects/chine/lettre.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/light_chine/light20
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/light_chine/light20.tga
		blendfunc add
		tcgen environment 
	}
	{
		map models/mapobjects/light_chine/tinfx3.tga
		blendfunc add
		tcgen environment 
	}
}

textures/2sweet/splash
{    
     surfaceparm nomarks   
     surfaceparm trans
     surfaceparm pointlight
     polygonoffset
        {
		map textures/2sweet/splash.tga
            blendfunc add
		rgbgen vertex
	}
}

models/mapobjects/colasweet/drinksweet
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/colasweet/drinksweet.jpg
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
}

models/mapobjects/watherplantx/notmove
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/watherplantx/notmove.tga
		rgbgen vertex
		alphafunc ge128
	}
}

textures/2sweet/vitreau44
{
	qer_editorimage textures/2sweet/vitreau44.tga
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	{
		map textures/2sweet/vitreau44.tga
		blendfunc blend
		rgbgen identity
	}
}

textures/2sweet/sweetmetal6
{
	qer_editorimage textures/2sweet/sweetmetal6.jpg
	{
		map textures/2sweet/sweetmetal6.jpg
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}

textures/2sweet/wopon1
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/2sweet/wopon1.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/2sweet/wopon1.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/2sweet/eos1
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/2sweet/eos1.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/2sweet/eos1.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/starw1/skinstarw1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/starw1/skinstarw1.tga
		rgbgen vertex 
	}
	{
		map models/mapobjects/starw1/skinstarw_light.tga
		blendfunc add
		rgbgen wave square 0.6 0.5 2 0.3 
	}
}

textures/2sweet/water_grey1
{
	qer_editorimage textures/2sweet/water_grey1.tga
	qer_trans .7
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformvertexes wave 100 sin 0 3 0 0.7
	cull disable
	
	{
		map textures/2sweet/water_grey1.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/2sweet/water_grey1.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale -1 -1
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

models/mapobjects/jack_1/skin_jack_1
{
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map models/mapobjects/jack_1/skin_jack_1.jpg
		rgbgen vertex 
	}
	{
		map models/mapobjects/jack_1/tinsweet4.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment 
	}
}

models/mapobjects/skateboard_q/skin_skateboard_q
{
	cull disable
	nopicmip
	

	{
		map models/mapobjects/skateboard_q/skin_skateboard_q.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
}

textures/2sweet/papillon_1
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull disable
        {
		map textures/2sweet/papillon_1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/2sweet/papillon_2
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull disable
        {
		map textures/2sweet/papillon_2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/2sweet/star_bright23
{
	qer_editorimage textures/2sweet/star_bright23.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes autosprite

	{
		clampmap textures/2sweet/star_bright23.tga
		blendfunc add
		tcmod rotate 5
	}
}

textures/2sweet/wood_light
{
	qer_editorimage textures/2sweet/wood_light.tga
	q3map_surfacelight 27
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/2sweet/wood_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/2sweet/water_mir
{
	qer_editorimage textures/2sweet/wat076.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	portal
	{
		map textures/2sweet/wat076.tga
		blendfunc blend
		depthwrite
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .001 .025	
	}
}

textures/2sweet/dale_mir
{
	qer_editorimage textures/2sweet/dale_mir.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	portal
	{
		map textures/2sweet/dale_mir.tga
		blendfunc blend
		depthwrite
	}
}

textures/2sweet/cadre_16
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull disable
      nopicmip  
	{
		map textures/2sweet/cadre_16.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/2sweet/raz_for_brush
{
	qer_editorimage textures/2sweet/raz_for_brush.tga
	surfaceparm nomarks
	q3map_surfacelight 70
	{
		map $lightmap 
		rgbgen identity
		tcgen lightmap 
	}
	{
		map textures/2sweet/raz_for_brush.tga
		rgbgen identity
	}
	{
		map textures/2sweet/raz_for_brush_l.tga
		blendfunc add
		rgbgen wave square 0 1 0 1 
	}
}

textures/2sweet/canna_bb
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull disable
      nopicmip  
	{
		map textures/2sweet/canna_bb.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02b/padfog_grey03
{
		qer_editorimage textures/pad_gfx02b/padfog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( .729 .729 .780 ) 864

}

models/mapobjects/guitarb1/skinguitarb1
{
	nopicmip
	

	{
		map models/mapobjects/guitarb1/skinguitarb1.tga
		
		alphafunc ge128
		
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
}

textures/pad_gfx02/cact03
{
        qer_editorimage textures/pad_gfx02/cact03.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
      nopicmip
	{
		map textures/pad_gfx02/cact03.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/dbstudio_plants/palm2a
{
	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nomarks	
	cull none
      nopicmip 
	{
		map textures/dbstudio_plants/palm2a.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	
}

textures/common/mirror1
{
	qer_editorimage textures/common/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
       
        

}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/pad_attic/oldfloorhalf
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_attic/oldfloorhalf.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/pad_flag_blue
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_bookroom/pad_flag_blue.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_bookroom/pad_flag_red
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
     deformvertexes wave 30 sin 0 3 0 .2
     deformvertexes wave 100 sin 0 3 0 .7
     
        {
                map textures/pad_bookroom/pad_flag_red.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_bookroom/dekostoff001
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/dekostoff001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/woodzier019b
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/woodzier019b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/woodzier019
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/woodzier019.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_bookroom/woood002
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_bookroom/woood002.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_marblefx/marble10
{
	qer_editorimage textures/pad_marblefx/marble10.tga
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_marblefx/marble10.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_effects/pad_marblefx1.tga
		tcgen environment
		blendfunc add
		rgbgen identity
	}
}

textures/pad_wop/padbubble
{       	
	qer_editorimage textures/pad_wop/padbubble.tga
	qer_trans 0.5
	surfaceparm nonsolid
        surfaceparm nolightmap
	surfaceparm pointlight
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/pad_wop/padbubble.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
		depthwrite
	}
}

textures/pad_wop/padjump_red
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_red.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_red2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padjump_green
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_green.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_green2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padjump_yellow
{

        q3map_surfacelight	30

	surfaceparm	trans
	surfaceparm nonsolid
             	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/pad_wop/padjump_yellow.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 0 1 0 1
                
	}	
	{
		map textures/pad_wop/padjump_yellow2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1 0 1
               
	}	
}

textures/pad_wop/padtele_blue
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	surfaceparm nonsolid
              surfaceparm trans
	q3map_lightimage textures/pad_wop/padtele_blue.tga	
	q3map_surfacelight 100

	{
		map textures/pad_wop/padtele_electric_blue.tga
		blendfunc add
                	rgbgen wave triangle 1.8 2 0 7
                	tcmod scroll 0 -1
	}
	{
		map textures/pad_wop/padtele_electric_blue.tga
		blendfunc add
                	rgbgen wave triangle 1 1.1 1 5
                	tcmod scale  -1 1.5
                	tcmod scroll 0 1.5
	}
	{
		map textures/pad_wop/padtele_blue.tga
		blendfunc add
                	rgbgen wave triangle 2 1.4 3 7.7
                	tcmod scroll 0 0.8
	}
	
}

textures/pad_liquidfx/water_calm5
{
		qer_editorimage textures/pad_liquidfx/wat05.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable

{ 
		
		map textures/pad_liquidfx/wat05.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	
{ 
		map textures/pad_liquidfx/wat03.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

{ 
		map textures/pad_liquidfx/wat05.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	
{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity		
	}
}

textures/pad_enteflare/neon01
{
	qer_editorimage textures/pad_enteflare/neon01.tga
	surfaceparm nomarks
              q3map_flareshader flareshader
	q3map_surfacelight 300
        {
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_enteflare/neon01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/pad_enteflare/neon01_blend.tga
		blendfunc gl_one gl_one
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blue_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blueglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_black_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_black_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_black_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blueglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_orange_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_orange_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_orange_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_blueglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_green_bg
{	
	nopicmip
	qer_editorimage models/mapobjects/pad_weaponmarker/pad_wepm_green_bg.tga
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_green_bg.tga
		
		
	}
	{
		map models/mapobjects/pad_weaponmarker/pad_wepm_pinkglow.tga
		rgbgen wave sin .05 .9 0 .4
		blendfunc add
	}
}

models/mapobjects/pad_weaponmarker/pad_wepm_bluecone
{
	nopicmip
	cull none
	qer_editorimage models/mapobjects/pad_weaponmarker/beam_blue.tga
	{
		map models/mapobjects/pad_weaponmarker/beam_blue.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/pad_garden/jail_alpha_000
{

qer_editorimage textures/pad_garden/jail_alpha_000.jpg

q3map_alphamod volume
q3map_alphamod set 0.00
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm trans
qer_trans 0.75
}

textures/pad_garden/bubbles2_1
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -1.093287 -41.198784 141.500214 sawtooth 0 1 1.000725 0.195925
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 20.229958
alphagen wave sawtooth 1.000000 0.000000 1.000725 0.195925
rgbgen wave sawtooth 1.000000 0.000000 1.000725 0.195925
tcmod stretch sawtooth 0.000000 1.138240 1.000725 0.195925
blendfunc add
}
}

textures/pad_garden/bubbles2_3
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 1.625161 -6.980746 87.586830 sawtooth 0 1 1.213530 0.445164
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 19.405041
alphagen wave sawtooth 1.000000 0.000000 1.213530 0.445164
rgbgen wave sawtooth 1.000000 0.000000 1.213530 0.445164
tcmod stretch sawtooth 0.000000 2.052110 1.213530 0.445164
blendfunc add
}
}

textures/pad_garden/bubbles2_5
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -12.763139 -30.482132 151.611313 sawtooth 0 1 0.288759 0.189146
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 1.619465
alphagen wave sawtooth 1.000000 0.000000 0.288759 0.189146
rgbgen wave sawtooth 1.000000 0.000000 0.288759 0.189146
tcmod stretch sawtooth 0.000000 1.285534 0.288759 0.189146
blendfunc add
}
}

textures/pad_garden/bubbles2_10
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 10.265741 7.714635 131.291351 sawtooth 0 1 0.524331 0.144779
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 12.796563
alphagen wave sawtooth 1.000000 0.000000 0.524331 0.144779
rgbgen wave sawtooth 1.000000 0.000000 0.524331 0.144779
tcmod stretch sawtooth 0.000000 0.329548 0.524331 0.144779
blendfunc add
}
}

textures/pad_garden/bubbles2_11
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 25.100649 4.780672 156.159500 sawtooth 0 1 0.907308 0.255448
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate 16.214331
alphagen wave sawtooth 1.000000 0.000000 0.907308 0.255448
rgbgen wave sawtooth 1.000000 0.000000 0.907308 0.255448
tcmod stretch sawtooth 0.000000 2.025596 0.907308 0.255448
blendfunc add
}
}

textures/pad_garden/bubbles2_12
{
qer_editorimage textures/pad_garden/bubbles2.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.983425 -1.691125 95.949432 sawtooth 0 1 0.845538 0.495670
{
clampmap textures/pad_garden/bubbles2.tga
tcmod rotate -2.724845
alphagen wave sawtooth 1.000000 0.000000 0.845538 0.495670
rgbgen wave sawtooth 1.000000 0.000000 0.845538 0.495670
tcmod stretch sawtooth 0.000000 0.903418 0.845538 0.495670
blendfunc add
}
}

textures/pad_garden/wellen3_2
{ 
qer_editorimage textures/pad_garden/wellen.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
nomipmaps 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.550810 0.215062 
{ 
clampmap textures/pad_garden/wellen.tga 
tcmod rotate 12.292642 
alphagen wave sawtooth 1.012714 -1.012714 0.550810 0.215062 
rgbgen wave sawtooth 0.747148 -0.747148 0.550810 0.215062 
tcmod stretch sawtooth 0.488470 0.418503 0.550810 0.215062 
blendfunc add 
} 
}

textures/pad_garden/wellen3_3
{ 
qer_editorimage textures/pad_garden/wellen.tga 
surfaceparm noimpact 
surfaceparm nolightmap
nomipmaps
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 1.093259 0.268482 
{ 
clampmap textures/pad_garden/wellen.tga 
tcmod rotate 7.173833 
alphagen wave sawtooth 0.962444 -0.962444 1.093259 0.268482 
rgbgen wave sawtooth 0.716947 -0.716947 1.093259 0.268482 
tcmod stretch sawtooth 0.399271 0.423142 1.093259 0.268482 
blendfunc add 
} 
}

textures/pad_garden/wellen3_6
{ 
qer_editorimage textures/pad_garden/wellen.tga 
surfaceparm noimpact 
surfaceparm nolightmap
nomipmaps 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.527409 0.303915 
{ 
clampmap textures/pad_garden/wellen.tga 
tcmod rotate 8.849666 
alphagen wave sawtooth 1.098447 -1.098447 0.527409 0.303915 
rgbgen wave sawtooth 0.905087 -0.905087 0.527409 0.303915 
tcmod stretch sawtooth 0.395859 0.421647 0.527409 0.303915 
blendfunc add 
} 
}

textures/pad_garden/wellen3_7
{ 
qer_editorimage textures/pad_garden/wellen.tga 
surfaceparm noimpact 
surfaceparm nolightmap 
nomipmaps 
cull none 
surfaceparm trans 
surfaceparm nonsolid 
surfaceparm nodlight 
deformvertexes move 0.000000 0.000000 0.000000 sawtooth 0 1 0.650606 0.368229 
{ 
clampmap textures/pad_garden/wellen.tga 
tcmod rotate 10.157323 
alphagen wave sawtooth 0.910831 -0.910831 0.650606 0.368229 
rgbgen wave sawtooth 0.628663 -0.628663 0.650606 0.368229 
tcmod stretch sawtooth 0.396371 0.581820 0.650606 0.368229 
blendfunc add 
} 
}

textures/pad_garden/gardensand02
{
q3map_nonplanar
q3map_shadeangle 60 l
surfaceparm sandsteps
qer_editorimage textures/pad_garden/gardensand02.tga
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/gardensand02.tga
blendfunc filter
}
}

textures/pad_garden/sand003a
{
q3map_nonplanar
q3map_shadeangle 60 l
surfaceparm sandsteps
qer_editorimage textures/pad_garden/sand003a.tga
{
map $lightmap
rgbgen identity
}
{
map textures/pad_garden/sand003a.tga
blendfunc filter
}
}

textures/pad_garden/nail
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tesssize 64
    
     
        {
                map textures/pad_garden/nail.tga
                alphafunc ge128
		depthwrite
		rgbgen identity
        }
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}


}

textures/pad_garden/grasground
{
qer_editorimage textures/pad_garden/grasground.tga
surfaceparm sandsteps

q3map_nonplanar
q3map_shadeangle 60
q3map_lightmapaxis z
q3map_lightmapmergable
q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
q3map_lightmapsamplesize 16

{
map textures/pad_garden/sandground.tga 
rgbgen identity
}
{
map textures/pad_garden/grasground.tga 
blendfunc gl_src_alpha gl_one_minus_src_alpha
rgbgen identity
alphagen vertex
detail
}
{
map $lightmap
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_garden/seerosenblatt_move
{
	qer_editorimage textures/pad_garden/seerosenblatt.tga
	deformvertexes wave 194 sin 0 2 0 .2
	deformvertexes wave 30 sin 0 1 0 .3
	deformvertexes wave 194 sin 0 1 0 .1
	surfaceparm nomarks
              surfaceparm sandsteps
	surfaceparm alphashadow
	cull none

	{
		map textures/pad_garden/seerosenblatt.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/pad_gfx/glass_bright
{
	qer_editorimage textures/pad_gfx/glass_bright.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_bright.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_normal
{
	qer_editorimage textures/pad_gfx/glass_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_dark
{
	qer_editorimage textures/pad_gfx/glass_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_dark.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass_blue
{
	qer_editorimage textures/pad_gfx/glass_blue.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass_blue.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_bright
{
	qer_editorimage textures/pad_gfx/glass2_bright.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_bright.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_normal
{
	qer_editorimage textures/pad_gfx/glass2_normal.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_normal.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/glass2_dark
{
	qer_editorimage textures/pad_gfx/glass2_dark.tga
        surfaceparm trans	
	cull none
	surfaceparm nolightmap
	qer_trans 	0.5
     
        {
		map textures/pad_gfx/glass2_dark.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/pad_gfx/flare
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/pad_gfx/flare.tga
            blendfunc gl_one gl_one
          }
}

textures/pad_gfx02/flow02
{
        qer_editorimage textures/pad_gfx02/flow02.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/pad_gfx02/flow02.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/pad_gfx02/light_green2
{
    q3map_surfacelight 1400
    surfaceparm nolightmap
    {
        map textures/pad_gfx02/light_green2.tga
    }
}

textures/pad_gfx02/plas01
{
	qer_editorimage textures/pad_gfx02/plas01.tga
	{
		map textures/pad_gfx02/plas01.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx02/plas02
{
	qer_editorimage textures/pad_gfx02/plas02.tga
	{
		map textures/pad_gfx02/plas02.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad.tga
        	tcgen environment
                blendfunc add
                rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_gfx02/metal01
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal01.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal01.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal02
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal02.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal02.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal06
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal06.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal06.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal06b
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal06b.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal06b.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metal08
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal08.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal08.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02b/cweb_m01a
{
    
    
    qer_trans 0.8
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nonsolid
    cull disable
    deformvertexes wave 10 sin 0 2 0 0.2
    {
        map textures/pad_gfx02b/cweb_m01a.tga
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        rgbgen vertex
    }
}

textures/pad_gfx02b/beam_grey
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/pad_gfx02b/beam_grey.tga
                tcmod scroll .4 0
                blendfunc add
        }
     
}

textures/pad_jail/jail_snowrock
{
        qer_editorimage textures/pad_jail/jail_snowrock.tga
	
	q3map_nonplanar
	q3map_shadeangle 70
	q3map_lightmapaxis z
	q3map_lightmapmergable
	
	q3map_tcgen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphamod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_lightmapsamplesize 16
	surfaceparm snowsteps
	
	{
		map textures/pad_jail/jail_snowrock5.tga	
		rgbgen identity
	}
	{
		map textures/pad_jail/jail_snowrock10.tga	
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		
		rgbgen identity
		alphagen vertex
		detail
		
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_jail/pad_jail_zink1a
{
	
	surfaceparm metalsteps
	{
		map textures/pad_gfx02/tinpad.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/pad_jail/pad_jail_zink1a.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/pad_journey/plakat
{
        qer_editorimage textures/pad_journey/plakat.tga
	{
		map textures/pad_journey/plakat.tga
		rgbgen identity
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc add
		rgbgen identity
		tcgen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
	}
}

textures/pad_kitchen/buche005c
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/buche005c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/schacht01c
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/schacht01c.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_kitchen/flowpot002dd
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_kitchen/flowpot002dd.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

models/mapobjects/pad_cups/cup001
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup001.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/cup004
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup004.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/cup_under
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/cup_under.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_cups/handle
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_cups/handle.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_bottom
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_bottom.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_tins/cola_top
{
	cull none
	nopicmip
	nomipmaps
	

	{
		map models/mapobjects/pad_tins/cola_top.tga
		
		
		rgbgen vertex 
        }
	{
		map $lightmap
		tcgen environment
		blendfunc filter
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcgen environment
                rgbgen vertex 
	}
}

models/mapobjects/pad_sunflower/sunhead
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunhead.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf1
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf1.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_sunflower/sunleaf2
{
	cull none
	nopicmip
	nomipmaps
	{
		map models/mapobjects/pad_sunflower/sunleaf2.tga
		alphafunc ge128
		rgbgen vertex
	}
}

models/mapobjects/pad_pc/pad_tft_screen
{
   	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_lightimage models/mapobjects/pad_pc/pad_tft.tga
	q3map_surfacelight 10
	nopicmip

       	{
               	animmap .3 models/mapobjects/pad_pc/screen01.tga models/mapobjects/pad_pc/screen02.tga models/mapobjects/pad_pc/screen03.tga models/mapobjects/pad_pc/screen04.tga models/mapobjects/pad_pc/screen05.tga
               	rgbgen identity
       	}
	{
		map models/mapobjects/padtv/scanline.tga
		blendfunc blend
		rgbgen identity
		tcmod scroll 0 -0.035
		tcmod scale 45 45
	}
	{
		map textures/pad_gfx02/tinpad3.tga
        	tcgen environment
                blendfunc gl_one gl_one
                rgbgen identity
	}
}

models/mapobjects/pad_ducktape/ducktape
{
	nopicmip
	nomipmaps
	qer_editorimage models/mapobjects/pad_ducktape/ducktape.tga
	{
		map models/mapobjects/pad_ducktape/ducktape.tga
		rgbgen vertex
	}
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one
		tcmod scale 0.2 0.2
		tcgen environment
        rgbgen vertex
	}

}

models/mapobjects/pad_ddmix/plants/flower_pink
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/flower_pink.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/tulip1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/tulip1.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/water_lily
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/water_lily.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/fern
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/fern.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/flower_yellow
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/flower_yellow.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/plants/waterplant1
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	deformvertexes wave 194 sin 0 2 0 0.3
	{
		map models/mapobjects/pad_ddmix/plants/waterplant1.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/mix/matches
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matches.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_diner
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_diner.tga
		rgbgen vertex
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_doomdragon
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_doomdragon.tga
		rgbgen vertex
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/mix/matchbook_padman
{
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/mix/matchbook_padman.tga
		rgbgen vertex
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/plants/bonsai
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/plants/bonsai.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/attic/kaspad
{
	surfaceparm alphashadow
	cull disable
	nomipmaps
	{
		map models/mapobjects/pad_ddmix/attic/kaspad.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/diner/glass01
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/diner/glass_rings
{
	surfaceparm trans
	sort additive
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_rings.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/diner/glass_midnight
{
	surfaceparm trans
	cull disable
	{
		map models/mapobjects/pad_ddmix/diner/glass_midnight.tga
		blendfunc blend
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass01.tga
		blendfunc add
		tcgen environment
	}
	{
		map models/mapobjects/pad_ddmix/diner/glass_highlight.tga
		blendfunc add
		tcgen environment
	}
}

models/mapobjects/pad_ddmix/padship/shiplamp_light
{
	cull disable
	q3map_surfacelight 60
	{
		map models/mapobjects/pad_ddmix/padship/shiplamp_light.tga
	}
}

models/mapobjects/pad_ddmix/trashcan/grass
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/trashcan/grass.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/castle/padking
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/castle/padking.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/castle/turul
{
	surfaceparm alphashadow
	cull disable
	{
		map models/mapobjects/pad_ddmix/castle/turul.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_ddmix/castle/knightshield
{
	cull disable
	{
		map models/mapobjects/pad_ddmix/castle/knightshield.tga
		rgbgen vertex
		alphafunc ge128
	}
}

models/mapobjects/pad_actionfigures/plastic
{
	surfaceparm trans
	cull disable
	{
		map textures/pad_gfx02/tinpad3.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbgen identity
		tcgen environment
	}
}

models/mapobjects/pad_actionfigures/fig_pumper
{
	{
		map models/weapons2/pumper/pumper.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/fig_pumpertubes
{
	{
		map models/weapons2/pumper/tubes.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilhead
{
	{
		map models/wop_players/padlilly/lilhead.tga
		rgbgen vertex
	}
}

models/mapobjects/pad_actionfigures/lilbody
{
	{
		map models/wop_players/padlilly/lilbody.tga
		rgbgen vertex
	}
}

textures/pad_pirate/flame1
{
	deformvertexes autosprite2 
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 50
	qer_editorimage textures/pad_pirate/flame1.tga
	

	{
		animmap 3 textures/pad_pirate/flame1.tga textures/pad_pirate/flame2.tga textures/pad_pirate/flame3.tga textures/pad_pirate/flame2.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 3 textures/pad_pirate/flame2.tga textures/pad_pirate/flame3.tga textures/pad_pirate/flame2.tga textures/pad_pirate/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/pad_pirate/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/pad_garden/poolstoncurve
{
          qer_editorimage textures/pad_garden/poolstone03.tga
           surfaceparm nonsolid		
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/pad_garden/poolstone03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_gfx02/metalcurve08
{
          qer_editorimage textures/pad_gfx02/metal08.tga
          surfaceparm nonsolid		
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/pad_gfx02/metal08.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/pad_gfx02/tinpad.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/pad_gfx02/metal08.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/pad_metal/borderfloor_a
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/borderfloor_a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/ground_a
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/ground_a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/ground_b
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/ground_b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_metal/yb2
{
surfaceparm metalsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_metal/yb2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_nature/sand001b
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand001b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_nature/sand003
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_nature/sand003a
{
surfaceparm sandsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_nature/sand003a.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_textile/textile16b
{
surfaceparm carpetsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_textile/textile16b.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/oldwood001
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/oldwood001.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/oldwood003
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/oldwood003.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/planke10
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/planke10.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/span128
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/span128.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood002black
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood002black.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood020blackbig
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood020blackbig.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood020blacksmall
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood020blacksmall.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_wood/wood038
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_wood/wood038.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest_side_2
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest_side_2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_woodobjects/chest01_2_2
{
surfaceparm woodsteps
{
map $lightmap
rgbgen identity
}
{
map textures/pad_woodobjects/chest01_2_2.tga
blendfunc gl_dst_color gl_zero
rgbgen identity
}
}

textures/pad_maps/woptrailer
{

    qer_editorimage textures/pad_maps/pad_movie.tga
    surfaceparm trans
    surfaceparm nolightmap
    cull disable

        {
		map textures/pad_gfx02/tinpad3.tga
                tcgen environment
                rgbgen identity
	}

	{
		videomap wop_trailer.roq
		blendfunc add
                rgbgen identity
	}
       
}

